version: 1
name: "main_tutorial"

environments:
  - name: "QCE26_docker"
    json:
      name: "QCE26_docker"
      env: "docker"
      specific:
        image: $$TUTORIAL_IMAGE$$:$$VERSION$$
        restart: true
        privileged: false
        update_image: false
        master_ip: "172.17.0.3"
      env_path: "$$HOME$$/.COMPSs/envs/QCE26_docker"
      working_dir: "$$WORKING_DIR$$"
      log_dir: "$$WORKING_DIR$$/.COMPSs"
      cfg_file: "$$HOME$$/.COMPSs/envs/QCE26_docker/config.json"
      setup:
        - echo 'not needed'
      setup_file: "$$HOME$$/.COMPSs/envs/QCE26_docker/setup.sh"

    script: |
      echo 'not needed'

    repository:
      scripts:
        url: "https://github.com/bsc-wdc/tutorial_apps"
        branch: "stable"
      notebooks:
        url: "https://github.com/bsc-wdc/notebooks"
        branch: "master"

  - name: "QCE26_MN5"
    json:
      name: "QCE26_MN5"
      env: "remote"
      specific:
        login: "$$LOGIN_INFO$$"
        remote_home: "$$REMOTE_HOME$$"
        remote_log: "$$REMOTE_HOME$$/.COMPSs"
        remote_apps: "$$REMOTE_HOME$$/.COMPSsApps"
        remote_setup_file: "$$REMOTE_HOME$$/.COMPSsApps/QCE26_MN5/setup.sh"
      env_path: "$$REMOTE_HOME$$/.COMPSs/envs/QCE26_MN5"
      working_dir: "$$WORKING_DIR$$"
      log_dir: "$$HOME$$/.COMPSs"
      cfg_file: "$$HOME$$/.COMPSs/envs/QCE26_MN5/config.json"
      setup:
        - "export COMPSS_PYTHON_VERSION=3\n"
        - "module load COMPSs\n"
        - "module load dislib"
      setup_file: "$$HOME$$/.COMPSs/envs/QCE26_MN5/setup.sh"

    script: |
      export COMPSS_PYTHON_VERSION=3
      module load COMPSs
      module load dislib

    repository:
      scripts:
        url: "https://github.com/bsc-wdc/tutorial_apps"
        branch: "stable"
      notebooks:
        url: "https://github.com/bsc-wdc/notebooks"
        branch: "master"

